package w83b.w83bManager;

import java.util.List;

import w83b.w83bBeans.W83bUsuariosBean;
import w83b.w83bDAO.W83bFactoriaDAO;



public class W83bUsuarios implements W83bIUsuarios {
	/* (non-Javadoc)
	 * @see w83b.w83bManager.W83bISindicatos#buscarSindicatos(w83b.w83bBeans.W83bSindicatosBean)
	 */
	public java.util.List buscarUsuarios(w83b.w83bBeans.W83bUsuariosBean param) throws Exception{
		
		
		List listaSindicatos = W83bFactoriaDAO.getMantenimientosDAO().buscarUsuarios(param);
		
		return listaSindicatos;	
	}
	/* (non-Javadoc)
	 * @see w83b.w83bManager.W83bISindicatos#borrarSindicatos(java.util.ArrayList)
	 */
	public java.lang.String borrarUsuarios(W83bUsuariosBean param) 
	throws Exception {
		
		String resultado=W83bFactoriaDAO.getMantenimientosDAO().borrarUsuarios(param);
		
		return resultado;
	}
		
	
	/* (non-Javadoc)
	 * @see w83b.w83bManager.W83bISindicatos#anyadirSindicatos(w83b.w83bBeans.W83bSindicatosBean)
	 */
	public String anyadirUsuarios(w83b.w83bBeans.W83bUsuariosBean param)
	throws Exception {
		
		String resultado = W83bFactoriaDAO.getMantenimientosDAO().anyadirUsuario(param);
		return resultado;//NOPMD
	}
	
	/* (non-Javadoc)
	 * @see w83b.w83bManager.W83bISindicatos#detalleSindicatos(w83b.w83bBeans.W83bSindicatosBean)
	 */
	public w83b.w83bBeans.W83bUsuariosBean detalleUsuarios(w83b.w83bBeans.W83bUsuariosBean param) throws  java.lang.Exception, java.rmi.RemoteException {
		
		w83b.w83bBeans.W83bUsuariosBean usuario = W83bFactoriaDAO.getMantenimientosDAO().detalleUsuarios(param);
		
		return usuario;
	}
	
	/* (non-Javadoc)
	 * @see w83b.w83bManager.W83bISindicatos#modificarSindicatos(w83b.w83bBeans.W83bSindicatosBean)
	 */
	public String modificarUsuarios(w83b.w83bBeans.W83bUsuariosBean param)
	throws Exception {
		
		String resultado =  W83bFactoriaDAO.getMantenimientosDAO().modificarUsuarios(param);		
		
		return resultado;
	}
}